Support » Plugin: BBQ Firewall » PHP 7.3 compatibility

  • Resolved littledove22

    (@littledove22)


    As a web designer, I install Block Bad Queries plugin on all my websites. When I ran PHP Compatibility Checker plugin, I got a WARNING results and have had to remove the plugin from several sites.

    I received the following ERROR from PHP Compatibility Checker for this plugin. Please update the plugin so I can put it back on my websites.

    FILE: /home/bchome/public_html/wp-content/plugins/block-bad-queries/block-bad-queries.php
    ——————————————————————————————————————————————————
    FOUND 1 ERROR AFFECTING 1 LINE
    ——————————————————————————————————————————————————
    49 | ERROR | The behaviour of hexadecimal numeric strings was inconsistent prior to PHP 7 and support has been removed in PHP 7. Found: ‘0x3c62723e’

Viewing 1 replies (of 1 total)
  • Plugin Author Jeff Starr

    (@specialk)

    Hello, the report is a false positive. The “Found” string, 0x3c62723e is static and stored as a string. It is used as a pattern in the firewall, not as a functional entity in the PHP logic. So totally safe to ignore the false positive “ERROR”. It’s not real.

Viewing 1 replies (of 1 total)
  • The topic ‘PHP 7.3 compatibility’ is closed to new replies.